## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate wasmtime-fiber

Name:           rust-%{crate}
Version:        0.35.3
Release:        %autorelease
Summary:        Fiber support for Wasmtime

# Upstream license specification: Apache-2.0 WITH LLVM-exception
License:        ASL 2.0
URL:            https://crates.io/crates/wasmtime-fiber
Source:         %{crates_source}
# Initial patched metadata
# * drop windows-specific dependencies
Patch0:         wasmtime-fiber-fix-metadata.diff

# cranelift only supports x86_64, aarch64, and s390x
# * i686:    https://bugzilla.redhat.com/show_bug.cgi?id=1966344
# * armv7hl: https://bugzilla.redhat.com/show_bug.cgi?id=1966346
# * ppc64le: https://bugzilla.redhat.com/show_bug.cgi?id=1966347
ExclusiveArch:  x86_64 aarch64 s390x

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Fiber support for Wasmtime.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Apr 13 2022 Fabio Valentini <decathorpe@gmail.com> 0.35.3-1
- Update to version 0.35.3; Fixes RHBZ#2051763

* Fri Feb 04 2022 Fabio Valentini <decathorpe@gmail.com> 0.33.0-1
- Update to version 0.33.0; Fixes RHBZ#2050776

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.30.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Sep 21 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.30.0-1
- Fixes CVE-2021-39216, CVE-2021-39218, CVE-2021-39219
- Update to upstream 0.30.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.28.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jun 10 21:45:42 CEST 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.28.0-1
- Update to upstream 0.28.0

* Thu Jun 03 15:58:19 CEST 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.27.0-1
- Initial package

